Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class JBrowseLineParser

    java.lang.Object
      gnu.jbrowser.JBrowseLineParser

All Implemented Interfaces:
  JBrowseParser

    public class JBrowseLineParser

extends java.lang.Object
implements JBrowseParser

The class that implemnts a JBrowseParser for Java Source Code via a JBrowseParser.LineSource.

Version:
  1.0.1 - Nov. 16, 1999
Author:
  George Latkiewicz

Nested Class Summary

Nested classes/interfaces inherited from interface gnu.jbrowser.JBrowseParser
`JBrowseParser.LineSource, JBrowseParser.Results`

Field Summary
`JBrowseParser.Results` | `results`
`static java.lang.String` | `VER_NUM`

Fields inherited from interface gnu.jbrowser.JBrowseParser
`MISSING_LABEL`

Constructor Summary
`JBrowseLineParser(JBrowseParser.LineSource ls)` This method creates a new instance of JBrowse GUI and Parsing engine.

Method Summary
`java.lang.String` | `getSourceName()` Returns the String that represents the name associated with the current JBrowseParser.LineSource (e.g. the fileName associated with the current buffer), or null if the JBrowseParser.LineSource is not currently associated with a source.
`boolean` | `isReady()`
`JBrowseParser.Results` | `parse()` The method that preforms the actual parsing.
`void` | `setOptions(Options options)`
`void` | `setRootNode(gnu.jbrowser.UMLTree.Node root)`
`boolean` | `usesJavaTokenMarker()` Returns `true` if the `JEditTextArea` to which this `JBrowseLineParser` is tied uses a `JavaTokenMarker`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VER_NUM

    public static final java.lang.String VER_NUM

See Also:
  Constant Field Values

### results

    public JBrowseParser.Results results

Constructor Detail

### JBrowseLineParser

    public JBrowseLineParser(JBrowseParser.LineSource ls)

  This method creates a new instance of JBrowse GUI and Parsing engine.

  Parameters:
    `ls` - JBrowseParser.LineSource that will provide the source to be parsed.

Method Detail

### getSourceName

    public java.lang.String getSourceName()

  Returns the String that represents the name associated with the current JBrowseParser.LineSource (e.g. the fileName associated with the current buffer), or null if the JBrowseParser.LineSource is not currently associated with a source.

  Specified by:
    `getSourceName` in interface `JBrowseParser`

### usesJavaTokenMarker

    public boolean usesJavaTokenMarker()

  Returns `true` if the `JEditTextArea` to which this `JBrowseLineParser` is tied uses a `JavaTokenMarker`.

### setOptions

    public final void setOptions(Options options)

  Specified by:
    `setOptions` in interface `JBrowseParser`

### setRootNode

    public final void setRootNode(gnu.jbrowser.UMLTree.Node root)

  Specified by:
    `setRootNode` in interface `JBrowseParser`

### isReady

    public boolean isReady()

  Specified by:
    `isReady` in interface `JBrowseParser`

### parse

    public JBrowseParser.Results parse()

  The method that preforms the actual parsing. This is the method which builds the tree model that reflects the heirarchical structure of the Java code in the current LineSource.

  Specified by:
    `parse` in interface `JBrowseParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.